Package org.spongepowered.asm.mixin.injection.struct

## Class InjectionPointAnnotationContext

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.struct.SelectorAnnotationContext
  - - org.spongepowered.asm.mixin.injection.struct.InjectionPointAnnotationContext

- All Implemented Interfaces:
    `IInjectionPointContext`, `ISelectorContext`, `IMessageSink`

      public class InjectionPointAnnotationContext
      extends SelectorAnnotationContext
      implements IInjectionPointContext

  Specialised SelectorAnnotationContext for injection points

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InjectionPointAnnotationContext​(IInjectionPointContext parent, org.objectweb.asm.tree.AnnotationNode selectorAnnotation, java.lang.String selectorCoordinate)` |
    `InjectionPointAnnotationContext​(IInjectionPointContext parent, IAnnotationHandle selectorAnnotation, java.lang.String selectorCoordinate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMessage​(java.lang.String format, java.lang.Object... args)` | Add a new message
    `IAnnotationHandle` | `getAnnotation()` | Get the root annotation for the selector, for example the injector or accessor annotation
    `org.objectweb.asm.tree.AnnotationNode` | `getAnnotationNode()` | Get the parent annotation (eg.
    `org.objectweb.asm.tree.MethodNode` | `getMethod()` | Get the root method upon which this selector is operating, usually the injector method
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.spongepowered.asm.mixin.injection.struct.SelectorAnnotationContext

      `getElementDescription, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ISelectorContext

      `getElementDescription, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

- - ### Constructor Detail

    - #### InjectionPointAnnotationContext

          public InjectionPointAnnotationContext​(IInjectionPointContext parent,
                                                 IAnnotationHandle selectorAnnotation,
                                                 java.lang.String selectorCoordinate)

    - #### InjectionPointAnnotationContext

          public InjectionPointAnnotationContext​(IInjectionPointContext parent,
                                                 org.objectweb.asm.tree.AnnotationNode selectorAnnotation,
                                                 java.lang.String selectorCoordinate)

  - ### Method Detail

    - #### addMessage

          public void addMessage​(java.lang.String format,
                                 java.lang.Object... args)

      Description copied from interface: `IMessageSink`
      Add a new message
      Specified by:
        `addMessage` in interface `IMessageSink`
      Parameters:
        `format` - Message format
        `args` - Message args

    - #### getMethod

          public org.objectweb.asm.tree.MethodNode getMethod()

      Description copied from interface: `ISelectorContext`
      Get the root method upon which this selector is operating, usually the injector method
      Specified by:
        `getMethod` in interface `IInjectionPointContext`
      Specified by:
        `getMethod` in interface `ISelectorContext`
      Overrides:
        `getMethod` in class `SelectorAnnotationContext`

    - #### getAnnotationNode

          public org.objectweb.asm.tree.AnnotationNode getAnnotationNode()

      Description copied from interface: `IInjectionPointContext`
      Get the parent annotation (eg. the @Inject annotation)
      Specified by:
        `getAnnotationNode` in interface `IInjectionPointContext`

    - #### getAnnotation

          public IAnnotationHandle getAnnotation()

      Description copied from interface: `ISelectorContext`
      Get the root annotation for the selector, for example the injector or accessor annotation
      Specified by:
        `getAnnotation` in interface `ISelectorContext`
      Overrides:
        `getAnnotation` in class `SelectorAnnotationContext`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`